Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 597210 - Multiple entitlement Subscribe process got terminated at the point of already subscribed pool.
Multiple entitlement Subscribe process got terminated at the point of already...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.1
All Linux
medium Severity medium
: rc
: ---
Assigned To: Bryan Kearney
wes hayutin
:
Depends On:
Blocks: 568421
  Show dependency treegraph
 
Reported: 2010-05-28 07:47 EDT by spandey
Modified: 2015-04-23 19:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:37:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 13:56:21 EDT

  None (edit)
Description spandey 2010-05-28 07:47:44 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
100%

Prerequisites : 
Candlepin :sachtest.usersys.redhat.com
Client : Rhel6 client with SM version 60

Steps to Repro : 
1)Login to client console with valid credentials
2)subscribe for entitlement pool id 3 
3)execute following command on console 
subscription-manager-cli subscribe –pool=1 –pool=2 –pool=3 –pool=4 –pool=5

Expected Result : 
Client should subscribe for pool id : 1,2,4,5

Actual Result : 
Msg displayed already subscribe for pool id “3” 
Client not subscribed for pool id 4, 5


Note : If this defect is not assigned to correct owner please assign it to correct owner
Comment 2 RHEL Product and Program Management 2010-06-07 12:02:29 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 wes hayutin 2010-07-22 14:40:56 EDT
QE's suggestion is to raise an error that addresses each attempted pool id.
For example:

OLD ERROR:
Msg displayed already subscribe for pool id “3” 
Client not subscribed for pool id 4, 5

NEW ERROR:
Already subscribed to productID that matches pool 3
Already subscribed to productID that matches pool 4
Already subscribed to productID that matches pool 5
Comment 6 Ajay Kumar Nadathur Sreenivasan 2010-08-17 15:40:15 EDT
Developer Comment:
----------------- 

The change has been incorporated. The following shows the output when user tries to subscribe to pool [645,643, 644] all of which he is already subscribed to.

[ajay@localhost src{master}]$ sudo ./subscription-manager-cli subscribe --pool=645 --pool=643 --pool=644
This consumer is already subscribed to the product matching pool with id '645'
This consumer is already subscribed to the product matching pool with id '643'
This consumer is already subscribed to the product matching pool with id '644'


sha: 839f4b495d62f744578d33217d549cf83257d285
Comment 7 spandey 2010-09-08 12:25:43 EDT
Verified On following setup 


Candlepin : on-premises 
Client : Rhel6 with sm version 76 

[root@sachrhel6 ~]# subscription-manager-cli list --available | grep Pool
PoolId:            	1                        
PoolId:            	2                        
PoolId:            	3                        
PoolId:            	5                        
PoolId:            	6                        
PoolId:            	7                        
PoolId:            	8                        
PoolId:            	10                       
PoolId:            	11                       
[root@sachrhel6 ~]# subscription-manager-cli subscribe --pool=2
[root@sachrhel6 ~]# ls /etc/pki/entitlement/product/
3.pem
[root@sachrhel6 ~]# subscription-manager-cli subscribe --pool=1 --pool=2 --pool=3 --pool=5
This consumer is already subscribed to the product matching pool with id '2'
[root@sachrhel6 ~]# ls /etc/pki/entitlement/product/
3.pem  4.pem  5.pem  6.pem

Working fine 
Moving defect status from Modified to Verified
Comment 9 errata-xmlrpc 2011-05-19 09:37:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html

Note You need to log in before you can comment on or make changes to this bug.